Loading....

The following screenshots are taken from a RAC Clusterware upgrade from 11.1.0.6 to 11.1.0.7 on AIX 64 bit platform.

We encountered an issue related to Bug 8925669: ROOT111.SH 0509-150 DEPENDENT MODULE LIBTTSH11.SO COULD NOT BE LOADED. I have provided the workaround we used in this case and which did work for us.

The last screen will indicate that we need to run the root111.sh script which will stop and start the clusterware processes in the upgraded CRS Home

The installer has detected that your Cluster Ready Services (CRS) installation is distributed across the following nodes:

middba1
middba2

Because the software consists of local identical copies distributed across each of the nodes in the cluster, it is possible to patchyour CRS installation in a rolling manner, one node at a time.

To complete the installation of this patchset, you must perform the following tasks on each node:

1. Log in as the root user.
2. As the root user, perform the following tasks:

a. Shutdown the CRS daemons by issuing the following command:
/u01/crs/11.1.0/bin/crsctl stop crs
b. Run the shell script located at:
/u01/crs/11.1.0/install/root111.sh
This script will automatically start the CRS daemons on the
patched node upon completion.

3. After completing this procedure, proceed to the next node and repeat.

While running the root111.sh on the first node we encountered this error

“Could not load program /u01/crs/11.1.0/bin/ctsctl.bin:
Dependent module /u01/crs/11.1.0/lib/libttsh11.so could not be loaded.”

For this we went and changed the permissions for the file libttsh11.so which was owned by root to the software owner ‘crs’ and the group to dba

middba1 $ ls -l libttsh11.so
-rwxr-x— 1 root system 58680930 Dec 9 15:57 libttsh11.so

changed to

middba1 $ ls -lrt libtt*
-rwxr-x— 1 crs dba 58680930 Dec 9 15:57 libttsh11.so

The same was repeated on the second node in the cluster as well.

To confirm the upgrade we can run the following crsctl commands on each node:

middba2 $ crsctl query crs activeversion
Oracle Clusterware active version on the cluster is [11.1.0.7.0]

middba2 $ crsctl query crs softwareversion
Oracle Clusterware version on node [middba2] is [11.1.0.7.0]

Please follow and like us:

Last Update: May 30, 2020  

December 10, 2009 233 Gavin Soorma
Total 0 Votes:
0

Tell us how can we improve this post?

+ = Verify Human or Spambot ?

Add A Knowledge Base Question !

You will receive an email when your question will be answered.

+ = Verify Human or Spambot ?

, , ,

Leave a Comment

Your email address will not be published. Required fields are marked *

*
*

Social media & sharing icons powered by UltimatelySocial
Back To Top

Add A Knowledge Base Question !

You will receive an email when your question will be answered.

+ = Verify Human or Spambot ?